Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Interface Skype.SkypeListener

Enclosing class:
  Skype

    public static interface Skype.SkypeListener

Method Summary
`void` | `OnAvailableDeviceListChange()` This callback gets fired when there are changes in the system audio device list (USB headset gets plugged in or is detached.)
`void` | `OnAvailableVideoDeviceListChange()` This callback gets fired when there are changes in the system video device list (USB webcam gets plugged in or is detached.)
`void` | `OnContactGoneOffline(Contact contact)` This contact has gone offline.
`void` | `OnContactOnlineAppearance(Contact contact)` This contact has appeared online.
`void` | `OnConversationListChange(Conversation conversation, Conversation.LIST_TYPE type, boolean added)` This event gets fired when a Conversation item is added or removed from the list specified in the type argument.
`void` | `OnMessage(Message message, boolean changesInboxTimestamp, Message supersedesHistoryMessage, Conversation conversation)`
`void` | `OnNewCustomContactGroup(ContactGroup group)`
`void` | `OnNrgLevelsChange()` This callback gets fired when the audio strength changes in either playback or recording audio streams.
`void` | `OnProxyAuthFailure(Skype.PROXYTYPE type)`

Method Detail

### OnNewCustomContactGroup

    void OnNewCustomContactGroup(ContactGroup group)

### OnContactOnlineAppearance

    void OnContactOnlineAppearance(Contact contact)

  This contact has appeared online. display alert

### OnContactGoneOffline

    void OnContactGoneOffline(Contact contact)

  This contact has gone offline. display alert

### OnConversationListChange

    void OnConversationListChange(Conversation conversation,
                                  Conversation.LIST_TYPE type,
                                  boolean added)

  This event gets fired when a Conversation item is added or removed from the list specified in the type argument. The primary use of this event is to detect creation of new Conversation objects. It can also be used for detecting occurance of live sessions - by monitoring added = true in Conversation.LIVE_CONVERSATIONS. Note that this method is not entirely sufficient for detecting live session termination (added = false and type = Conversation.LIVE_CONVERSATIONS). When the live session goes down, the default behaviour is that the Conversation object remains in the LIVE_CONVERSATIONS list for approximately 10 seconds. When another live session comes up within the same Conversation, the OnConversationListChange event will not fire - because the conversation was already in that list. There are two ways of getting around that. Firstly you can have all the conversations referenced at all times and then monitor Conversation.P_LOCAL_LIVESTATUS property changes, in which case you can pick up incoming live sessions from there. Alternatively, you can remove the delay between live session termination and conversation's removal from the LIVE_CONVERSATIONS list. This delay is controlled by the SETUPKEY_RECENTLY_LIVE_TIMEOUT setup key. To remove the delay, use Skype.SetInt(SETUPKEY_RECENTLY_LIVE_TIMEOUT, 0). Note that this setup key is account-based. You will need to have an account logged in in order to modify its value.

### OnMessage

    void OnMessage(Message message,
                   boolean changesInboxTimestamp,
                   Message supersedesHistoryMessage,
                   Conversation conversation)

### OnAvailableVideoDeviceListChange

    void OnAvailableVideoDeviceListChange()

  This callback gets fired when there are changes in the system video device list (USB webcam gets plugged in or is detached.)

### OnAvailableDeviceListChange

    void OnAvailableDeviceListChange()

  This callback gets fired when there are changes in the system audio device list (USB headset gets plugged in or is detached.)

### OnNrgLevelsChange

    void OnNrgLevelsChange()

  This callback gets fired when the audio strength changes in either playback or recording audio streams. Useful for providing visual indicators of audio activity in your UI.

### OnProxyAuthFailure

    void OnProxyAuthFailure(Skype.PROXYTYPE type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.